net.corda.flows

## Class IssuerFlow.IssuanceRequestState

- net.corda.flows.IssuerFlow.IssuanceRequestState

- Enclosing class:
    IssuerFlow

      public static class IssuerFlow.IssuanceRequestState

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IssuanceRequestState(Amount<java.util.Currency> amount, Party issueToParty, OpaqueBytes issuerPartyRef)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Amount<java.util.Currency>` | `component1()`
    `Party` | `component2()`
    `OpaqueBytes` | `component3()`
    `IssuerFlow.IssuanceRequestState` | `copy(Amount<java.util.Currency> amount, Party issueToParty, OpaqueBytes issuerPartyRef)`
    `boolean` | `equals(java.lang.Object p)`
    `Amount<java.util.Currency>` | `getAmount()`
    `Party` | `getIssueToParty()`
    `OpaqueBytes` | `getIssuerPartyRef()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### IssuanceRequestState

          public IssuanceRequestState(Amount<java.util.Currency> amount,
                                      Party issueToParty,
                                      OpaqueBytes issuerPartyRef)

  - ### Method Detail

    - #### getAmount

          public Amount<java.util.Currency> getAmount()

    - #### getIssueToParty

          public Party getIssueToParty()

    - #### getIssuerPartyRef

          public OpaqueBytes getIssuerPartyRef()

    - #### component1

          public Amount<java.util.Currency> component1()

    - #### component2

          public Party component2()

    - #### component3

          public OpaqueBytes component3()

    - #### copy

          public IssuerFlow.IssuanceRequestState copy(Amount<java.util.Currency> amount,
                                                      Party issueToParty,
                                                      OpaqueBytes issuerPartyRef)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)